Update an agent profile
PATCH
Updates only the fields provided; pass address_id null to unbind, summary_prompt null to go back to the default summary prompt.
bearerAuthheader
AuthorizationBearer <token>Mailly API key(Authorization: Bearer )
id*stringagent ID
application/json- body
name?stringpersona_prompt?stringmode?stringaddress_id?string|nullallowed_senders?array<string>|nullskills?array<>Items
items <= 20summary_prompt?|Summary prompt for evaluations, up to 4000 characters; null, blank, or a built-in default follows the workspace language
[key: string]?unknownUpdated
application/json- response
success*boolean[key: string]?unknowncurl -X PATCH 'https://api.mailly.site/agents/string' \ -H 'Content-Type: application/json' \ -d '{ "property1": null, "property2": null}'{ "success": true, "property1": null, "property2": null}